import os
import netCDF4 as nc
import numpy as np
import xlrd
import datetime
import pandas as pd
import calendar

# 读取流域列表中的编号
basins = open("./basin_list.txt",
              'r').readlines()
basins = [basin.strip() for basin in basins]

path1 = "./grid_lon_lat"
path2 = "../smsc_data"
file_SC_reconstrction = os.path.join(path2, 'global_0.5degree_smsc_reconstrction.nc')
dataset_SC_reconstrction = nc.Dataset(file_SC_reconstrction)
SC_reconstrction = dataset_SC_reconstrction.variables['SC'][:][:]

basinnum = 0
for basinname in basins:

    print(basinname)
    # 读取经纬度
    file = open(os.path.join(path1, (basinname + '.txt')), 'r')
    next(file)
    lon = []
    lat = []
    for line in file.readlines():
        line = line.split(" ")
        lon.append(line[0])
        lat.append(line[1])
    file.close()

     if len(lon) == 1:
         SC = SC.tolist()
     else:
         for i in range(1, len(lon)):
             SC = np.hstack(
                 (SC, SC_reconstrction[int((89.75 - float(lat[i])) / 0.5), int((179.75 + float(lon[i])) / 0.5)]))
         SC = (np.sum(SC, axis=0) / len(lon)).tolist()
     SC_basin[basinnum] = SC
     basinnum += 1
 np.savetxt('basin_average_SC.txt', SC_basin, fmt='%.4f')

exit()
